package eu.dnetlib.uoaorcidservice.dao.MongoDBDAOs;

import eu.dnetlib.uoaorcidservice.dao.UserTokensDAO;
import eu.dnetlib.uoaorcidservice.entities.UserTokens;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface MongoDBUserTokensDAO extends UserTokensDAO, MongoRepository<UserTokens, String> {

    List<UserTokens> findAll();

    UserTokens findByAaiId(String AaiId);

    UserTokens findByOrcid(String Orcid);

    UserTokens save(UserTokens userTokens);

    void deleteAll();

    void deleteByAaiId(String AaiId);

    void deleteByOrcid(String Orcid);
}
