package eu.dnetlib.uoaorcidservice.dao.MongoDBDAOs;

import eu.dnetlib.uoaorcidservice.dao.WorkDAO;
import eu.dnetlib.uoaorcidservice.entities.Work;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface MongoDBWorkDAO extends WorkDAO, MongoRepository<Work, String> {
    List<Work> findAll();

    Work findById(String Id);

//    List<Work> findByPidsContaining(String Pid);

//    Work findByPidsContainingAndOrcid(String Pid, String Orcid);

    List<Work> findByPidsInAndOrcid(List<String> Pids, String Orcid);

    List<Work> findByOrcidOrderByCreationDateDesc(String Orcid);
    List<Work> findByOrcid(String Orcid);

    Work findByPutCode(String putCode);

    Work save(Work work);

    void deleteAll();

    void deleteById(String Id);

    void deleteByPutCode(String PutCode);
}
